//+------------------------------------------------------------------+
//|   #H1_Hi_Low_Middle.mq4
//|   Base from spudfibo.Upgrade by Darkkiller
//+------------------------------------------------------------------+
#property  indicator_chart_window

extern string note1 = "Higher,Middle,Lower colors";
extern color H1HigherColor = Lime;
extern color H1MiddleColor = White;
extern color H1LowerColor = Red;
extern string note2 = "Draw H1 middle?";
extern bool  H1Middle = true;

double HiPrice, LoPrice, Range;
datetime StartTime;

int init()
{
   return(0);
}

int deinit()
{
   ObjectDelete("H1Higher");
   ObjectDelete("H1Lower");
   ObjectDelete("H1Middle");
   return(0);
}


//+------------------------------------------------------------------+
//| Draw Fibo
//+------------------------------------------------------------------+

int DrawFibo()
{
	if(ObjectFind("H1Higher") == -1)
		ObjectCreate("H1Higher",OBJ_FIBO,0,StartTime,HiPrice+Range,StartTime,HiPrice);
	else
	{
		ObjectSet("H1Higher",OBJPROP_TIME2, StartTime);
		ObjectSet("H1Higher",OBJPROP_TIME1, StartTime);
		ObjectSet("H1Higher",OBJPROP_PRICE1,HiPrice+Range);
		ObjectSet("H1Higher",OBJPROP_PRICE2,HiPrice);
	}
   ObjectSet("H1Higher",OBJPROP_LEVELCOLOR,H1HigherColor);
   ObjectSet("H1Higher",OBJPROP_FIBOLEVELS,1);
   ObjectSet("H1Higher",OBJPROP_FIRSTLEVEL+0,0.0);	ObjectSetFiboDescription("H1Higher",0,"H1 HIGHER"); 
   ObjectSet("H1Higher",OBJPROP_RAY,true);
   ObjectSet("H1Higher",OBJPROP_BACK,true);

	if(ObjectFind("H1Lower") == -1)
		ObjectCreate("H1Lower",OBJ_FIBO,0,StartTime,LoPrice-Range,StartTime,LoPrice);
	else
	{
		ObjectSet("H1Lower",OBJPROP_TIME2, StartTime);
		ObjectSet("H1Lower",OBJPROP_TIME1, StartTime);
		ObjectSet("H1Lower",OBJPROP_PRICE1,LoPrice-Range);
		ObjectSet("H1Lower",OBJPROP_PRICE2,LoPrice);
	}
   ObjectSet("H1Lower",OBJPROP_LEVELCOLOR,H1LowerColor); 
   ObjectSet("H1Lower",OBJPROP_FIBOLEVELS,1);
   ObjectSet("H1Lower",OBJPROP_FIRSTLEVEL+0,0.0);	ObjectSetFiboDescription("H1Lower",0,"H1 LOWER"); 

   ObjectSet("H1Lower",OBJPROP_RAY,true);
   ObjectSet("H1Lower",OBJPROP_BACK,true);

	if(H1Middle)
	{
		if(ObjectFind("H1Middle") == -1)
			ObjectCreate("H1Middle",OBJ_FIBO,0,StartTime,HiPrice,StartTime+PERIOD_H1*60,LoPrice);
		else
		{
			ObjectSet("H1Middle",OBJPROP_TIME2, StartTime);
			ObjectSet("H1Middle",OBJPROP_TIME1, StartTime+PERIOD_H1*60);
			ObjectSet("H1Middle",OBJPROP_PRICE1,HiPrice);
			ObjectSet("H1Middle",OBJPROP_PRICE2,LoPrice);
		}
   	ObjectSet("H1Middle",OBJPROP_LEVELCOLOR,H1MiddleColor); 
   	ObjectSet("H1Middle",OBJPROP_FIBOLEVELS,1);
   
   	ObjectSet("H1Middle",OBJPROP_FIRSTLEVEL+0,0.500);	ObjectSetFiboDescription("H1Middle",0,"H1 MIDDLE"); 


   	ObjectSet("H1Middle",OBJPROP_RAY,true);
   	ObjectSet("H1Middle",OBJPROP_BACK,true);
   }
   else
	   ObjectDelete("H1Middle");
}

//+------------------------------------------------------------------+
//| Indicator start function
//+------------------------------------------------------------------+

int start()
{
	int shift	= iBarShift(NULL,PERIOD_H1,Time[0]) + 1;	// H1 
	HiPrice		= iHigh(NULL,PERIOD_H1,shift);
	LoPrice		= iLow (NULL,PERIOD_H1,shift);
	StartTime	= iTime(NULL,PERIOD_H1,shift);

	if(TimeDayOfWeek(StartTime)==0/*Sunday*/)
	{//Add fridays high and low
		HiPrice = MathMax(HiPrice,iHigh(NULL,PERIOD_H1,shift+1));
		LoPrice = MathMin(LoPrice,iLow(NULL,PERIOD_H1,shift+1));
	}

	Range = HiPrice-LoPrice;

	DrawFibo();

	return(0);
}
//+------------------------------------------------------------------+

